#ifndef LIGHT_SPOT_H
#define LIGHT_SPOT_H

#include "light.h"

namespace CBK
{
	namespace Lights
	{
		class Spot : public Light
		{
		public:
			Spot(IDirect3DDevice9* device = 0);
			virtual ~Spot(void);

			Spot& setCones(const float& Theta, const float& Phi, const float& Falloff);

			Spot& setAttenuation(const float& constant, const float& linear, const float& quadratic);
			Spot& setFalloff(const float& falloff);
			Spot& setPosition(const D3DVECTOR& position);

			Spot& setDirection(const D3DVECTOR& direction);

		protected:

		private:
		};
	}
}

#endif //LIGHT_SPOT_H